Index: trunk/src/core/Makefile.in
===================================================================
--- trunk/src/core/Makefile.in	(revision 5729)
+++ trunk/src/core/Makefile.in	(revision 5730)
@@ -36,6 +36,6 @@
 		  -DRAPPTURE_VERSION=\"$(RAPPTURE_VERSION)\"
 
-CC_SWITCHES     = $(CFLAGS) $(CFLAGS_DEBUG) $(INCLUDES) $(DEFINES) 
-CXX_SWITCHES    = $(CFLAGS) $(CFLAGS_DEBUG) $(INCLUDES) $(DEFINES) 
+CC_SWITCHES     = $(CFLAGS) $(CFLAGS_DEBUG) $(INCLUDES) $(DEFINES)
+CXX_SWITCHES    = $(CFLAGS) $(CFLAGS_DEBUG) $(INCLUDES) $(DEFINES)
 
 INCLUDES        = \
@@ -104,5 +104,5 @@
 		xerror.h
 
-# Build the scew and b64 libraries directly into Rappture for now.  
+# Build the scew and b64 libraries directly into Rappture for now.
 # Note: This works because of viewpath-ing. See the VPATH variable.
 B64_OBJS	= \
@@ -153,8 +153,8 @@
 		RpDXWriter.h \
 		RpDXWriterFInterface.h \
-		RpDXWriterFStubs.h 
+		RpDXWriterFStubs.h
 OBJS +=		\
 		RpDXWriter.o \
-		RpDXWriterFInterface.o 
+		RpDXWriterFInterface.o
 endif
 
@@ -192,5 +192,5 @@
 .cc.o:
 	$(CXX) $(CXX_SWITCHES) -c $?
-.c.o: 
+.c.o:
 	$(CCC) $(CC_SWITCHES) -c $?
 
Index: trunk/src/core/RpBindingsDict.cc
===================================================================
--- trunk/src/core/RpBindingsDict.cc	(revision 5729)
+++ trunk/src/core/RpBindingsDict.cc	(revision 5730)
@@ -26,5 +26,5 @@
  * function's caller.
  *
- * Returns the key of the object in the dictionary 
+ * Returns the key of the object in the dictionary
  * On Error, returns 0 (which also means nothing can be stored at 0)
  */
@@ -120,5 +120,5 @@
  * This function stores the RpUnits names specified by 'objectName'
  * into the UnitsStr dictionary. This is helpful for writing bindings
- * for languages that can not accept pointers to provide back to the 
+ * for languages that can not accept pointers to provide back to the
  * function's caller.
  *
@@ -152,5 +152,5 @@
  * This function retrieves the RpUnits name referenced to by 'objKey'
  * from the UnitsStr dictionary. This is helpful for writing bindings
- * for languages that can not accept pointers to provide back to the 
+ * for languages that can not accept pointers to provide back to the
  * function's caller.
  *
Index: trunk/src/core/RpBuffer.cc
===================================================================
--- trunk/src/core/RpBuffer.cc	(revision 5729)
+++ trunk/src/core/RpBuffer.cc	(revision 5730)
@@ -37,5 +37,4 @@
 {}
 
-
 /**
  * Construct an empty Buffer of specified size.
@@ -48,5 +47,4 @@
 {}
 
-
 /**
  * Construct a Buffer loaded with initial data.
@@ -89,5 +87,4 @@
 }
 
-
 Buffer
 Buffer::operator+(const Buffer& b) const
@@ -98,5 +95,4 @@
 }
 
-
 Buffer&
 Buffer::operator+=(const Buffer& b)
@@ -106,8 +102,6 @@
 }
 
-
 Buffer::~Buffer()
 {}
-
 
 bool
@@ -142,9 +136,9 @@
     }	
     // Read the file contents directly onto the end of the old buffer.
-    numBytesRead = fread((char *)bytes() + oldSize, sizeof(char), 
+    numBytesRead = fread((char *)bytes() + oldSize, sizeof(char),
 	stat.st_size, f);
     fclose(f);
     if (numBytesRead != (size_t)stat.st_size) {
-	status.addError("can't read %ld bytes from \"%s\": %s", stat.st_size, 
+	status.addError("can't read %ld bytes from \"%s\": %s", stat.st_size,
 			path, strerror(errno));
 	return false;
@@ -155,7 +149,6 @@
 }
 
-
-bool
-Buffer::dump (Outcome &status, const char* path)
+bool
+Buffer::dump(Outcome &status, const char* path)
 {
     status.addContext("Rappture::Buffer::dump()");
@@ -179,5 +172,4 @@
 }
 
-
 bool
 Buffer::encode(Outcome &status, unsigned int flags)
@@ -218,5 +210,4 @@
     return true;
 }
-
 
 bool
@@ -273,7 +264,6 @@
 }
 
-
-bool
-Buffer::do_compress(Outcome& status, SimpleCharBuffer& bin, 
+bool
+Buffer::do_compress(Outcome& status, SimpleCharBuffer& bin,
                     SimpleCharBuffer& bout)
 {
@@ -419,5 +409,4 @@
 }
 
-
 bool
 Buffer::do_base64_enc(Outcome& status, const SimpleCharBuffer& bin,
@@ -439,5 +428,4 @@
 }
 
-
 bool
 Buffer::do_base64_dec(Outcome& status, const SimpleCharBuffer& bin,
@@ -458,7 +446,3 @@
 }
 
-
-}
-
-
-
+}
Index: trunk/src/core/RpBuffer.h
===================================================================
--- trunk/src/core/RpBuffer.h	(revision 5729)
+++ trunk/src/core/RpBuffer.h	(revision 5730)
@@ -25,7 +25,6 @@
 };
 
-
 #ifdef __cplusplus
-    extern "C" {
+extern "C" {
 #endif // ifdef __cplusplus
 
@@ -44,5 +43,5 @@
  */
 
-class Buffer : public SimpleCharBuffer{
+class Buffer : public SimpleCharBuffer {
 public:
     Buffer();
@@ -74,11 +73,11 @@
 
     bool do_compress(Outcome& status, SimpleCharBuffer& bin,
-                     SimpleCharBuffer& bout  );
-    bool do_decompress( Outcome& status, SimpleCharBuffer& bin,
-                        SimpleCharBuffer& bout  );
+                     SimpleCharBuffer& bout);
+    bool do_decompress(Outcome& status, SimpleCharBuffer& bin,
+                       SimpleCharBuffer& bout);
     bool do_base64_enc(Outcome& status, const SimpleCharBuffer& bin,
-                       SimpleCharBuffer& bout  );
+                       SimpleCharBuffer& bout);
     bool do_base64_dec(Outcome& status, const SimpleCharBuffer& bin,
-                       SimpleCharBuffer& bout  );
+                       SimpleCharBuffer& bout);
 };
 
@@ -86,5 +85,5 @@
 
 #ifdef __cplusplus
-    }
+}
 #endif // ifdef __cplusplus
 
Index: trunk/src/core/RpBufferCInterface.cc
===================================================================
--- trunk/src/core/RpBufferCInterface.cc	(revision 5729)
+++ trunk/src/core/RpBufferCInterface.cc	(revision 5730)
@@ -249,11 +249,11 @@
 	flags |= RPENC_B64;
     }
-    ((Rappture::Buffer*)buf->_buf)->encode(s, flags); 
-    RpOutcomeToCOutcome(&s,&status);
-    return status;
-}
-
-RapptureOutcome
-RapptureBufferDecode(RapptureBuffer* buf, int decompress, int base64 )
+    ((Rappture::Buffer*)buf->_buf)->encode(s, flags);
+    RpOutcomeToCOutcome(&s,&status);
+    return status;
+}
+
+RapptureOutcome
+RapptureBufferDecode(RapptureBuffer* buf, int decompress, int base64)
 {
     Rappture::Outcome s;
@@ -289,4 +289,4 @@
 
 #ifdef __cplusplus
-    }
+}
 #endif // ifdef __cplusplus
Index: trunk/src/core/RpBufferCInterface.h
===================================================================
--- trunk/src/core/RpBufferCInterface.h	(revision 5729)
+++ trunk/src/core/RpBufferCInterface.h	(revision 5730)
@@ -1,3 +1,2 @@
-
 /*
  * ----------------------------------------------------------------------
@@ -12,5 +11,4 @@
  * ======================================================================
  */
-
 
 #ifndef _RAPPTURE_BUFFER_C_H
@@ -39,5 +37,5 @@
     bool (*decode)(Outcome &result, bool, bool);
     */
-}RapptureBuffer;
+} RapptureBuffer;
 
 int RapptureBufferInit(RapptureBuffer* buf);
@@ -53,7 +51,7 @@
 RapptureOutcome RapptureBufferDump(RapptureBuffer* buf, const char* filename);
 RapptureOutcome RapptureBufferEncode(RapptureBuffer* buf, int compress,
-	int base64 );
-RapptureOutcome RapptureBufferDecode(RapptureBuffer* buf, 
-	int decompress, int base64 );
+                                     int base64);
+RapptureOutcome RapptureBufferDecode(RapptureBuffer* buf,
+                                     int decompress, int base64);
 
 #ifdef __cplusplus
Index: trunk/src/core/RpDict.h
===================================================================
--- trunk/src/core/RpDict.h	(revision 5729)
+++ trunk/src/core/RpDict.h	(revision 5730)
@@ -22,19 +22,18 @@
 /**************************************************************************/
 
-template <  typename KeyType,
-            typename ValType,
-            class _Compare=std::equal_to<KeyType> >
+template <typename KeyType,
+          typename ValType,
+          class _Compare=std::equal_to<KeyType> >
     class RpDict;
 
-template <  typename KeyType,
-            typename ValType,
-            class _Compare=std::equal_to<KeyType> >
+template <typename KeyType,
+          typename ValType,
+          class _Compare=std::equal_to<KeyType> >
     class RpDictEntry;
 
-template <  typename KeyType,
-            typename ValType,
-            class _Compare=std::equal_to<KeyType> >
+template <typename KeyType,
+          typename ValType,
+          class _Compare=std::equal_to<KeyType> >
     class RpDictIterator;
-
 
 /*
@@ -48,5 +47,4 @@
  * because RpBindingsDict uses it.
  */
-
 
 /**************************************************************************/
@@ -93,15 +91,14 @@
     private:
 
-        RpDict<KeyType,ValType,_Compare>& 
-            tablePtr;                   /* pointer to the table we want to 
+        RpDict<KeyType,ValType,_Compare>&
+            tablePtr;                   /* pointer to the table we want to
                                          * iterate */
         int srchNextIndex;              /* Index of next bucket to be
                                          * enumerated after present one. */
-        RpDictEntry<KeyType,ValType,_Compare>* 
+        RpDictEntry<KeyType,ValType,_Compare>*
             srchNextEntryPtr;           /* Next entry to be enumerated in the
                                          * the current bucket. */
 
 };
-
 
 template <typename KeyType, typename ValType, class _Compare>
@@ -113,5 +110,5 @@
         // operator==(const RpDictEntry& entry) const;
         //
-        //operator!=(const RpDictEntry& lhs, const RpDictEntry& rhs) const 
+        //operator!=(const RpDictEntry& lhs, const RpDictEntry& rhs) const
         //{
         //    if (lhs.key != rhs.key)
@@ -189,5 +186,4 @@
 };
 
-
 template <typename KeyType, typename ValType, class _Compare>
 class RpDict
@@ -207,23 +203,23 @@
         //
         /*virtual*/ RpDict<KeyType,ValType,_Compare>&
-                        set(    KeyType& key,
-                                ValType& value,
-                                RpDictHint hint=NULL,
-                                int *newPtr=NULL,
-                                bool ci=false);
+                        set(KeyType& key,
+                            ValType& value,
+                            RpDictHint hint=NULL,
+                            int *newPtr=NULL,
+                            bool ci=false);
 
         // find an RpUnits object that should exist in RpUnitsTable
-        // 
+        //
         /*virtual*/ RpDictEntry<KeyType,ValType,_Compare>&
-                        find(   KeyType& key,
-                                RpDictHint hint = NULL,
-                                bool ci=false   );
-
-        /*virtual*/ RpDictEntry<KeyType,ValType,_Compare>& operator[]( KeyType& key)
+                        find(KeyType& key,
+                             RpDictHint hint = NULL,
+                             bool ci=false);
+
+        /*virtual*/ RpDictEntry<KeyType,ValType,_Compare>& operator[](KeyType& key)
         {
             return find(key,NULL);
         }
 
-        RpDict<KeyType,ValType,_Compare>& setCI( bool val );
+        RpDict<KeyType,ValType,_Compare>& setCI(bool val);
         bool getCI();
         RpDict<KeyType,ValType,_Compare>& toggleCI();
@@ -263,5 +259,5 @@
         }
 
-        // copy constructor 
+        // copy constructor
         // RpDict (const RpDict& dict);
 
@@ -283,5 +279,5 @@
         const int REBUILD_MULTIPLIER;
 
-        RpDictEntry<KeyType,ValType,_Compare> 
+        RpDictEntry<KeyType,ValType,_Compare>
                     **buckets;        /* Pointer to bucket array.  Each
                                        * element points to first entry in
@@ -314,5 +310,5 @@
 
         RpDictEntry<KeyType,ValType,_Compare>*
-            search( KeyType& key, RpDictHint hint = NULL, bool ci = false );
+            search(KeyType& key, RpDictHint hint = NULL, bool ci = false);
 
         // static void RpDict::RebuildTable ();
@@ -326,5 +322,4 @@
 };
 
-
 /*--------------------------------------------------------------------------*/
 /*--------------------------------------------------------------------------*/
@@ -340,8 +335,7 @@
  * Side Effects:
  *  none.
- * 
+ *
  *
  *************************************************************************/
-
 template <typename KeyType, typename ValType, class _Compare>
 int
@@ -350,5 +344,4 @@
     return numEntries;
 }
-
 
 /**************************************************************************
@@ -359,5 +352,5 @@
  *
  * Results:
- *  Returns a reference to the RpDict object allowing the user to chain 
+ *  Returns a reference to the RpDict object allowing the user to chain
  *  together different commands such as
  *      rpdict_obj.set(key).find(a).erase(a);
@@ -370,9 +363,9 @@
 template <typename KeyType, typename ValType, class _Compare>
 RpDict<KeyType,ValType,_Compare>&
-RpDict<KeyType,ValType,_Compare>::set(  KeyType& key,
-                                        ValType& value,
-                                        RpDictHint hint,
-                                        int* newPtr,
-                                        bool ci )
+RpDict<KeyType,ValType,_Compare>::set(KeyType& key,
+                                      ValType& value,
+                                      RpDictHint hint,
+                                      int* newPtr,
+                                      bool ci)
 {
     RpDictEntry<KeyType,ValType,_Compare> *hPtr = NULL;
@@ -466,10 +459,9 @@
  *----------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 RpDictEntry<KeyType,ValType,_Compare>&
-RpDict<KeyType,ValType,_Compare>::find( KeyType& key,
-                                        RpDictHint hint,
-                                        bool ci )
+RpDict<KeyType,ValType,_Compare>::find(KeyType& key,
+                                       RpDictHint hint,
+                                       bool ci)
 {
     RpDictEntry<KeyType,ValType,_Compare> *hPtr = NULL;
@@ -503,12 +495,11 @@
  *----------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 RpDictEntry<KeyType,ValType,_Compare>*
-RpDict<KeyType,ValType,_Compare>::search(   KeyType& key,
-                                            RpDictHint hint,
-                                            bool ci )
-                                            // bool ci,
-                                            // RpDictEntryList* entryList)
+RpDict<KeyType,ValType,_Compare>::search(KeyType& key,
+                                         RpDictHint hint,
+                                         bool ci)
+                                         // bool ci,
+                                         // RpDictEntryList* entryList)
 {
     RpDictEntry<KeyType,ValType,_Compare> *hPtr = NULL;
@@ -572,6 +563,4 @@
 }
 
-
-
 /**************************************************************************
  *
@@ -589,6 +578,6 @@
 /*
 template <typename KeyType,typename ValType,class _Compare>
-RpDict<KeyType,ValType,_Compare>& 
-RpDictIterator<KeyType,ValType,_Compare>::getTable() 
+RpDict<KeyType,ValType,_Compare>&
+RpDictIterator<KeyType,ValType,_Compare>::getTable()
 {
     return tablePtr;
@@ -606,5 +595,5 @@
  * Side Effects:
  *  moves iterator to the beginning of the hash table.
- * 
+ *
  *
  *************************************************************************/
@@ -630,8 +619,7 @@
  * Side Effects:
  *  moves iterator to the next entry of the hash table if it exists.
- * 
+ *
  *
  *************************************************************************/
-
 template <typename KeyType,typename ValType,class _Compare>
 RpDictEntry<KeyType,ValType,_Compare>*
@@ -669,5 +657,5 @@
 template <typename KeyType, typename ValType, class _Compare>
 RpDict<KeyType,ValType,_Compare>&
-RpDict<KeyType,ValType,_Compare>::setCI( bool val )
+RpDict<KeyType,ValType,_Compare>::setCI(bool val)
 {
     caseInsensitive = val;
@@ -764,5 +752,4 @@
     return *nullEntry;
 }
-
 
 /*
@@ -784,5 +771,4 @@
  *----------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 void
@@ -794,5 +780,5 @@
 
     // check to see if the object is associated with a table
-    // if object is not associated with a table, there is no 
+    // if object is not associated with a table, there is no
     // need to try to remove it from the table.
     if (tablePtr) {
@@ -804,5 +790,5 @@
 
         // remove the entry from the buckets
-        // 
+        //
         // if entry is the first entry in the bucket
         // move the bucket to point to the next entry
@@ -812,5 +798,5 @@
         else {
             // if the entry is not the first entry in the bucket
-            // search for the entry 
+            // search for the entry
             for (prevPtr = *bucketPtr; ; prevPtr = prevPtr->nextPtr) {
 
@@ -821,5 +807,5 @@
                     prevPtr->nextPtr = nextPtr;
                     break;
-                } 
+                }
             } // end for loop
         } // end else
@@ -843,5 +829,4 @@
 }
 
-
 /*
  *----------------------------------------------------------------------
@@ -859,5 +844,4 @@
  *----------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 const KeyType*
@@ -884,5 +868,4 @@
  *----------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 const ValType*
@@ -907,5 +890,4 @@
  *----------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 const ValType*
@@ -944,5 +926,4 @@
  *----------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 bool
@@ -954,5 +935,4 @@
     return false;
 }
-
 
 /*************************************************************************/
@@ -978,10 +958,9 @@
  *----------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 void
 RpDict<KeyType,ValType,_Compare>::RebuildTable()
 {
-    int oldSize=0, count=0, index=0; 
+    int oldSize=0, count=0, index=0;
     RpDictEntry<KeyType,ValType,_Compare> **oldBuckets = NULL;
     RpDictEntry<KeyType,ValType,_Compare> **oldChainPtr = NULL, **newChainPtr = NULL;
@@ -996,5 +975,4 @@
      */
 
-
     numBuckets *= 4;
 
@@ -1054,5 +1032,4 @@
  *----------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 unsigned int
@@ -1082,5 +1059,5 @@
  * I chose the one below (multiply by 9 and add new character)
  * because of the following reasons:
- * 
+ *
  * 1. Multiplying by 10 is perfect for keys that are decimal strings,
  *    and multiplying by 9 is just about as good.
@@ -1091,6 +1068,4 @@
  *    works well both for decimal and non-decimal strings.
  */
-
-
 template <typename KeyType, typename ValType, class _Compare>
 unsigned int
@@ -1158,5 +1133,4 @@
  * ---------------------------------------------------------------------
  */
-
 template <typename KeyType, typename ValType, class _Compare>
 int
@@ -1166,5 +1140,3 @@
 }
 
-
-
 #endif
Index: trunk/src/core/b64/cdecode.h
===================================================================
--- trunk/src/core/b64/cdecode.h	(revision 5729)
+++ trunk/src/core/b64/cdecode.h	(revision 5730)
@@ -24,5 +24,5 @@
 int base64_decode_value(char value_in);
 
-int base64_decode_block(const char* code_in, const int length_in, 
+int base64_decode_block(const char* code_in, const int length_in,
 	char* plaintext_out, base64_decodestate* state_in);
 
Index: trunk/src/core/b64/decode.h
===================================================================
--- trunk/src/core/b64/decode.h	(revision 5729)
+++ trunk/src/core/b64/decode.h	(revision 5730)
@@ -22,5 +22,5 @@
     base64_decodestate _state;
     int _buffersize;
-    
+
     decoder(int buffersize_in = 4096)
 	: _buffersize(buffersize_in)
Index: trunk/src/core/b64/encode.h
===================================================================
--- trunk/src/core/b64/encode.h	(revision 5729)
+++ trunk/src/core/b64/encode.h	(revision 5730)
@@ -15,5 +15,5 @@
 {
 	
-	extern "C" 
+	extern "C"
 	{
 		#include "cencode.h"
Index: trunk/src/core/rappture_fortran.c
===================================================================
--- trunk/src/core/rappture_fortran.c	(revision 5729)
+++ trunk/src/core/rappture_fortran.c	(revision 5730)
@@ -100,5 +100,5 @@
 #   define rp_lib_element_id       RP_LIB_ELEMENT_ID
 #   define rp_lib_element_type     RP_LIB_ELEMENT_TYPE
-#   define rp_lib_element_str      RP_LIB_ELEMENT_STR 
+#   define rp_lib_element_str      RP_LIB_ELEMENT_STR
 #   define rp_lib_element_obj      RP_LIB_ELEMENT_OBJ
 #   define rp_lib_child_num        RP_LIB_CHILD_NUM
@@ -130,160 +130,160 @@
 
 extern "C"
-void rp_lib_element_comp( int* handle, 
-                            char* path,
-                            char* retText,
-                            int path_len,
-                            int retText_len );
-
-extern "C"
-void rp_lib_element_id(   int* handle, 
-                            char* path,
-                            char* retText,
-                            int path_len,
-                            int retText_len );
-
-extern "C"
-void rp_lib_element_type( int* handle,
-                            char* path,
-                            char* retText,
-                            int path_len,
-                            int retText_len );
-
-extern "C"
-void rp_lib_element_str(  int* handle, 
-                            char* path, 
-                            char* flavor,
-                            char* retText,
-                            int path_len,
-                            int flavor_len,
-                            int retText_len );
-
-extern "C"
-int rp_lib_element_obj(   int* handle, 
-                            char* path,
-                            int path_len );
-
-extern "C"
-int rp_lib_child_num(    int* handle, 
-                            char* path, 
-                            int path_len);
-
-extern "C"
-int rp_lib_child_comp(   int* handle,    /* integer handle of library */
-                            char* path,     /* DOM path of requested object */
-                            char* type,     /* specific name of element */
-                            int* childNum,  /* child number for iteration */
-                            char* retText,  /* buffer to store return text */
-                            int path_len,   /* length of path */
-                            int type_len,   /* length of type */
-                            int retText_len /* length of return text buffer */
-                       );
-
-extern "C"
-int rp_lib_child_id(     int* handle,    /* integer handle of library */
-                            char* path,     /* DOM path of requested object */
-                            char* type,     /* specific name of element */
-                            int* childNum,  /* child number for iteration */
-                            char* retText,  /* buffer to store return text */
-                            int path_len,   /* length of path */
-                            int type_len,   /* length of type */
-                            int retText_len /* length of return text buffer */
-                       );
-
-extern "C"
-int rp_lib_child_type(   int* handle,    /* integer handle of library */
-                            char* path,     /* DOM path of requested object */
-                            char* type,     /* specific name of element */
-                            int* childNum,  /* child number for iteration */
-                            char* retText,  /* buffer to store return text */
-                            int path_len,   /* length of path */
-                            int type_len,   /* length of type */
-                            int retText_len /* length of return text buffer */
-                       );
-
-extern "C"
-int rp_lib_child_str(    int* handle,    /* integer handle of library */
-                            char* path,     /* DOM path of requested object */
-                            char* flavor,   /* information you want returned*/
-                            char* type,     /* specific name of element */
-                            int* childNum,  /* child number for iteration */
-                            char* retText,  /* buffer to store return text */
-                            int path_len,   /* length of path */
-                            int flavor_len, /* length of flavor */
-                            int type_len,   /* length of type */
-                            int retText_len /* length of return text buffer */
-                       );
-
-extern "C"
-int rp_lib_child_obj(    int* handle, 
-                            char* path, 
-                            char* type, 
-                            int path_len,
-                            int type_len
-                          );
-
-extern "C"
-void rp_lib_get(          int* handle, 
-                            char* path,
-                            char* retText,
-                            int path_len,
-                            int retText_len );
-
-extern "C"
-double rp_lib_get_double( int* handle, 
-                            char* path,
-                            int path_len);
-
-extern "C"
-void rp_lib_put_str(     int* handle, 
-                            char* path, 
-                            char* value, 
-                            int* append,
-                            int path_len,
-                            int value_len ); 
-
-extern "C"
-void rp_lib_put_id_str(  int* handle, 
-                            char* path, 
-                            char* value, 
-                            char* id, 
-                            int* append,
-                            int path_len,
-                            int value_len,
-                            int id_len ); 
-
-extern "C"
-void rp_lib_put_obj(     int* handle, 
-                            char* path, 
-                            int* valHandle, 
-                            int* append,
-                            int path_len ); 
-
-extern "C"
-void rp_lib_put_id_obj(  int* handle, 
-                            char* path, 
-                            int* valHandle, 
-                            char* id, 
-                            int* append,
-                            int path_len,
-                            int id_len ); 
-
-extern "C"
-int rp_lib_remove(       int* handle, 
-                            char* path, 
-                            int path_len);
-
-extern "C"
-int rp_lib_xml_len(      int* handle);
-
-extern "C"
-void rp_lib_xml(         int* handle, 
-                            char* retText, 
-                            int retText_len);
-
-extern "C"
-int rp_lib_write_xml(     int* handle, 
-                            char* outFile, 
-                            int outFile_len);
+void rp_lib_element_comp(int* handle,
+                         char* path,
+                         char* retText,
+                         int path_len,
+                         int retText_len);
+
+extern "C"
+void rp_lib_element_id(int* handle,
+                       char* path,
+                       char* retText,
+                       int path_len,
+                       int retText_len);
+
+extern "C"
+void rp_lib_element_type(int* handle,
+                         char* path,
+                         char* retText,
+                         int path_len,
+                         int retText_len);
+
+extern "C"
+void rp_lib_element_str(int* handle,
+                        char* path,
+                        char* flavor,
+                        char* retText,
+                        int path_len,
+                        int flavor_len,
+                        int retText_len);
+
+extern "C"
+int rp_lib_element_obj(int* handle,
+                       char* path,
+                       int path_len);
+
+extern "C"
+int rp_lib_child_num(int* handle,
+                     char* path,
+                     int path_len);
+
+extern "C"
+int rp_lib_child_comp(int* handle,    /* integer handle of library */
+                      char* path,     /* DOM path of requested object */
+                      char* type,     /* specific name of element */
+                      int* childNum,  /* child number for iteration */
+                      char* retText,  /* buffer to store return text */
+                      int path_len,   /* length of path */
+                      int type_len,   /* length of type */
+                      int retText_len /* length of return text buffer */
+                      );
+
+extern "C"
+int rp_lib_child_id(int* handle,    /* integer handle of library */
+                    char* path,     /* DOM path of requested object */
+                    char* type,     /* specific name of element */
+                    int* childNum,  /* child number for iteration */
+                    char* retText,  /* buffer to store return text */
+                    int path_len,   /* length of path */
+                    int type_len,   /* length of type */
+                    int retText_len /* length of return text buffer */
+                    );
+
+extern "C"
+int rp_lib_child_type(int* handle,    /* integer handle of library */
+                      char* path,     /* DOM path of requested object */
+                      char* type,     /* specific name of element */
+                      int* childNum,  /* child number for iteration */
+                      char* retText,  /* buffer to store return text */
+                      int path_len,   /* length of path */
+                      int type_len,   /* length of type */
+                      int retText_len /* length of return text buffer */
+                      );
+
+extern "C"
+int rp_lib_child_str(int* handle,    /* integer handle of library */
+                     char* path,     /* DOM path of requested object */
+                     char* flavor,   /* information you want returned*/
+                     char* type,     /* specific name of element */
+                     int* childNum,  /* child number for iteration */
+                     char* retText,  /* buffer to store return text */
+                     int path_len,   /* length of path */
+                     int flavor_len, /* length of flavor */
+                     int type_len,   /* length of type */
+                     int retText_len /* length of return text buffer */
+                     );
+
+extern "C"
+int rp_lib_child_obj(int* handle,
+                     char* path,
+                     char* type,
+                     int path_len,
+                     int type_len);
+
+extern "C"
+void rp_lib_get(int* handle,
+                char* path,
+                char* retText,
+                int path_len,
+                int retText_len);
+
+extern "C"
+double rp_lib_get_double(int* handle,
+                         char* path,
+                         int path_len);
+
+extern "C"
+void rp_lib_put_str(int* handle,
+                    char* path,
+                    char* value,
+                    int* append,
+                    int path_len,
+                    int value_len);
+
+extern "C"
+void rp_lib_put_id_str(int* handle,
+                       char* path,
+                       char* value,
+                       char* id,
+                       int* append,
+                       int path_len,
+                       int value_len,
+                       int id_len);
+
+extern "C"
+void rp_lib_put_obj(int* handle,
+                    char* path,
+                    int* valHandle,
+                    int* append,
+                    int path_len);
+
+extern "C"
+void rp_lib_put_id_obj(int* handle,
+                       char* path,
+                       int* valHandle,
+                       char* id,
+                       int* append,
+                       int path_len,
+                       int id_len);
+
+extern "C"
+int rp_lib_remove(int* handle,
+                  char* path,
+                  int path_len);
+
+extern "C"
+int rp_lib_xml_len(int* handle);
+
+extern "C"
+void rp_lib_xml(int* handle,
+                char* retText,
+                int retText_len);
+
+extern "C"
+int rp_lib_write_xml(int* handle,
+                     char* outFile,
+                     int outFile_len);
+
 extern "C"
 void rp_quit();
@@ -306,5 +306,5 @@
 
 // global vars
-// dictionary to hold the python objects that 
+// dictionary to hold the python objects that
 // cannot be sent to fortran
 
@@ -313,9 +313,10 @@
 int rapptureStarted = 0;
 
-void rp_init() {
+void rp_init()
+{
     //
     PyObject* rpClass = NULL;
     int retVal = 0;
-    
+
     // initialize the interpreter
     Py_Initialize();
@@ -329,5 +330,5 @@
 }
 
-int rp_lib(const char* filePath, int filePath_len) 
+int rp_lib(const char* filePath, int filePath_len)
 {
     PyObject* lib = NULL;
@@ -341,7 +342,7 @@
 
     inFilePath = null_terminate((char*)filePath, filePath_len);
-    
+
     // error checking to make sure inText is valid???
-    
+
     // grab the rappture class from the dictionary
     rpClass = getObject(0);
@@ -367,7 +368,6 @@
 
 int rp_lib_element_obj(int* handle,     /* integer handle of library */
-                          char* path,     /* null terminated path */
-                          int path_len
-                        )
+                       char* path,     /* null terminated path */
+                       int path_len)
 {
     int newObjHandle = -1;
@@ -388,5 +388,5 @@
             if (lib) {
                 retObj = (PyObject*) rpElement(lib, inPath, flavor);
-                
+
                 if (retObj) {
 
@@ -406,10 +406,10 @@
 }
 
-void rp_lib_element_comp( int* handle, /* integer handle of library */
-                            char* path,      /* null terminated path */
-                            char* retText,   /* return buffer for fortran*/
-                            int path_len,
-                            int retText_len /* length of return text buffer */
-                          )
+void rp_lib_element_comp(int* handle, /* integer handle of library */
+                         char* path,      /* null terminated path */
+                         char* retText,   /* return buffer for fortran*/
+                         int path_len,
+                         int retText_len /* length of return text buffer */
+                         )
 {
     char* inPath = NULL;
@@ -426,18 +426,18 @@
 
     rp_lib_element_str(handle,inPath,"component",retText,path_len,10,retText_len);
-    
-    if (inPath) {
-        free(inPath);
-        inPath = NULL;
-    }
-
-}
-
-void rp_lib_element_id(   int* handle, /* integer handle of library */
-                            char* path,      /* null terminated path */
-                            char* retText,   /* return buffer for fortran*/
-                            int path_len,
-                            int retText_len /* length of return text buffer */
-                        ) 
+
+    if (inPath) {
+        free(inPath);
+        inPath = NULL;
+    }
+
+}
+
+void rp_lib_element_id(int* handle, /* integer handle of library */
+                       char* path,      /* null terminated path */
+                       char* retText,   /* return buffer for fortran*/
+                       int path_len,
+                       int retText_len /* length of return text buffer */
+                       )
 {
     char* inPath = NULL;
@@ -459,10 +459,10 @@
 }
 
-void rp_lib_element_type( int* handle, /* integer handle of library */
-                            char* path,      /* null terminated path */
-                            char* retText,   /* return buffer for fortran*/
-                            int path_len,
-                            int retText_len /* length of return text buffer */
-                          )
+void rp_lib_element_type(int* handle, /* integer handle of library */
+                         char* path,      /* null terminated path */
+                         char* retText,   /* return buffer for fortran*/
+                         int path_len,
+                         int retText_len /* length of return text buffer */
+                         )
 {
     char* inPath = NULL;
@@ -483,11 +483,11 @@
 }
 
-void rp_lib_element_str(  int* handle, /* integer handle of library */
-                            char* path,      /* null terminated path */
-                            char* flavor,    /* null terminated flavor */
-                            char* retText,   /* return buffer for fortran*/
-                            int path_len,
-                            int flavor_len,
-                            int retText_len /* length of return text buffer */
+void rp_lib_element_str(int* handle, /* integer handle of library */
+                        char* path,      /* null terminated path */
+                        char* flavor,    /* null terminated flavor */
+                        char* retText,   /* return buffer for fortran*/
+                        int path_len,
+                        int flavor_len,
+                        int retText_len /* length of return text buffer */
                         )
 {
@@ -498,7 +498,7 @@
 
     PyObject* lib = NULL;
-    
+
     char* retObj = NULL;
-    
+
     char* inPath = NULL;
     char* inFlavor = NULL;
@@ -517,7 +517,7 @@
                     if (retObj) {
                         xmlText = retObj;
-                    
+
                         fortranify(xmlText, retText, retText_len);
-            
+
                         /*
                         length_in = strlen(xmlText);
@@ -534,10 +534,10 @@
                         *(retText+length_out-1) = ' ';
                         */
-                        
+
                         free(retObj);
                         retObj = NULL;
                     }
                     else {
-                        
+
                     }
                 }
@@ -546,5 +546,5 @@
         }
     }
-    
+
     if (inPath) {
         free(inPath);
@@ -559,8 +559,7 @@
 }
 
-int rp_lib_child_num( int* handle, 
-                         char* path, 
-                         int path_len
-                       )
+int rp_lib_child_num(int* handle,
+                     char* path,
+                     int path_len)
 {
     int numChildren = 0;
@@ -571,5 +570,5 @@
 
     inPath = null_terminate(path,path_len);
-    
+
     if (rapptureStarted) {
         if ((handle) && (*handle != 0)) {
@@ -583,5 +582,5 @@
                 }
                 else {
-                    
+
                 }
             }
@@ -599,13 +598,13 @@
 
 
-int rp_lib_child_comp (   int* handle,    /* integer handle of library */
-                            char* path,     /* DOM path of requested object */
-                            char* type,     /* specific name of element */
-                            int* childNum,  /* child number for iteration */
-                            char* retText,  /* buffer to store return text */
-                            int path_len,   /* length of path */
-                            int type_len,   /* length of type */
-                            int retText_len /* length of return text buffer */
-                       )
+int rp_lib_child_comp(int* handle,    /* integer handle of library */
+                      char* path,     /* DOM path of requested object */
+                      char* type,     /* specific name of element */
+                      int* childNum,  /* child number for iteration */
+                      char* retText,  /* buffer to store return text */
+                      int path_len,   /* length of path */
+                      int type_len,   /* length of type */
+                      int retText_len /* length of return text buffer */
+                      )
 {
     int retVal = 0;
@@ -631,15 +630,14 @@
     }
 
-    retVal = rp_lib_child_str( handle,
-                                 inPath,
-                                 "component",
-                                 inType,
-                                 childNum,
-                                 retText,
-                                 path_len,
-                                 10,
-                                 type_len,
-                                 retText_len
-                               );
+    retVal = rp_lib_child_str(handle,
+                              inPath,
+                              "component",
+                              inType,
+                              childNum,
+                              retText,
+                              path_len,
+                              10,
+                              type_len,
+                              retText_len);
 
     if (inPath) {
@@ -656,13 +654,13 @@
 }
 
-int rp_lib_child_id(   int* handle,    /* integer handle of library */
-                          char* path,     /* DOM path of requested object */
-                          char* type,     /* specific name of element */
-                          int* childNum,  /* child number for iteration */
-                          char* retText,  /* buffer to store return text */
-                          int path_len,   /* length of path */
-                          int type_len,   /* length of type */
-                          int retText_len /* length of return text buffer */
-                       )
+int rp_lib_child_id(int* handle,    /* integer handle of library */
+                    char* path,     /* DOM path of requested object */
+                    char* type,     /* specific name of element */
+                    int* childNum,  /* child number for iteration */
+                    char* retText,  /* buffer to store return text */
+                    int path_len,   /* length of path */
+                    int type_len,   /* length of type */
+                    int retText_len /* length of return text buffer */
+                    )
 {
     int retVal = 0;
@@ -687,15 +685,14 @@
     }
 
-    retVal = rp_lib_child_str( handle,
-                                 inPath,
-                                 "id",
-                                 inType,
-                                 childNum,
-                                 retText,
-                                 path_len,
-                                 3,
-                                 type_len,
-                                 retText_len
-                               );
+    retVal = rp_lib_child_str(handle,
+                              inPath,
+                              "id",
+                              inType,
+                              childNum,
+                              retText,
+                              path_len,
+                              3,
+                              type_len,
+                              retText_len);
 
     if (inPath) {
@@ -712,13 +709,13 @@
 }
 
-int rp_lib_child_type (   int* handle,    /* integer handle of library */
-                            char* path,     /* DOM path of requested object */
-                            char* type,     /* specific name of element */
-                            int* childNum,  /* child number for iteration */
-                            char* retText,  /* buffer to store return text */
-                            int path_len,   /* length of path */
-                            int type_len,   /* length of type */
-                            int retText_len /* length of return text buffer */
-                       )
+int rp_lib_child_type(int* handle,    /* integer handle of library */
+                      char* path,     /* DOM path of requested object */
+                      char* type,     /* specific name of element */
+                      int* childNum,  /* child number for iteration */
+                      char* retText,  /* buffer to store return text */
+                      int path_len,   /* length of path */
+                      int type_len,   /* length of type */
+                      int retText_len /* length of return text buffer */
+                      )
 {
     int retVal = 0;
@@ -743,15 +740,14 @@
     }
 
-    retVal = rp_lib_child_str( handle,
-                                 inPath,
-                                 "type",
-                                 inType,
-                                 childNum,
-                                 retText,
-                                 path_len,
-                                 5,
-                                 type_len,
-                                 retText_len
-                               );
+    retVal = rp_lib_child_str(handle,
+                              inPath,
+                              "type",
+                              inType,
+                              childNum,
+                              retText,
+                              path_len,
+                              5,
+                              type_len,
+                              retText_len);
 
     if (inPath) {
@@ -768,15 +764,15 @@
 }
 
-int rp_lib_child_str (    int* handle,    /* integer handle of library */
-                            char* path,     /* DOM path of requested object */
-                            char* flavor,   /* information you want returned*/
-                            char* type,     /* specific name of element */
-                            int* childNum,  /* child number for iteration */
-                            char* retText,  /* buffer to store return text */
-                            int path_len,   /* length of path */
-                            int flavor_len, /* length of flavor */
-                            int type_len,   /* length of type */
-                            int retText_len /* length of return text buffer */
-                       )
+int rp_lib_child_str(int* handle,    /* integer handle of library */
+                     char* path,     /* DOM path of requested object */
+                     char* flavor,   /* information you want returned*/
+                     char* type,     /* specific name of element */
+                     int* childNum,  /* child number for iteration */
+                     char* retText,  /* buffer to store return text */
+                     int path_len,   /* length of path */
+                     int flavor_len, /* length of flavor */
+                     int type_len,   /* length of type */
+                     int retText_len /* length of return text buffer */
+                     )
 {
     int retVal = 0;
@@ -787,10 +783,10 @@
     PyObject* list = NULL;
     PyObject* list_item = NULL;
-    
+
     char* xmlChild = NULL;
     char* inPath = NULL;
     char* inType = NULL;
     char* inFlavor = NULL;
-    
+
     inPath = null_terminate(path,path_len);
     inFlavor = null_terminate(flavor,flavor_len);
@@ -801,5 +797,5 @@
             lib = getObject(*handle);
             if (lib) {
-                if(objType(inFlavor) == 1) {
+                if (objType(inFlavor) == 1) {
 
                     list = rpChildren_f(lib, inPath, inFlavor);
@@ -832,7 +828,4 @@
                         }
                     }
-                    else {
-                        
-                    }
                 }
             }
@@ -855,14 +848,12 @@
     }
 
-
     return retVal;
 }
 
- int rp_lib_child_obj ( int* handle, 
-                            char* path, 
-                            char* type, 
-                            int path_len,
-                            int type_len
-                          )
+int rp_lib_child_obj(int* handle,
+                     char* path,
+                     char* type,
+                     int path_len,
+                     int type_len)
 {
     int newObjHandle = -1;
@@ -870,5 +861,5 @@
     PyObject* lib = NULL;
     PyObject* list = NULL;
-    
+
     char* inPath = NULL;
     char* inType = NULL;
@@ -880,5 +871,5 @@
         if ((handle) && (*handle != 0)) {
             lib = getObject(*handle);
-            
+
             if (lib) {
                 list = rpChildren_f(lib, inPath, "object");
@@ -889,7 +880,4 @@
                     // Py_DECREF(list);
                 }
-                else {
-                    
-                }
             }
         }
@@ -907,14 +895,13 @@
 
     return newObjHandle;
-
-}
-
-
-void rp_lib_get( int* handle, /* integer handle of library */
-                   char* path,      /* null terminated path */
-                   char* retText,   /* return text buffer for fortran*/
-                   int path_len,
-                   int retText_len /* length of return text buffer */
-                 )
+}
+
+
+void rp_lib_get(int* handle, /* integer handle of library */
+                char* path,      /* null terminated path */
+                char* retText,   /* return text buffer for fortran*/
+                int path_len,
+                int retText_len /* length of return text buffer */
+                )
 {
     // int length_in = 0;
@@ -924,5 +911,5 @@
 
     PyObject* lib = NULL;
-    
+
     char* inPath = NULL;
 
@@ -932,14 +919,14 @@
         if ((handle) && (*handle != 0)) {
             lib = getObject(*handle);
-            
+
             if (lib) {
-                // retObj is a borrowed object 
+                // retObj is a borrowed object
                 // whose contents must not be modified
                 xmlText = rpGet(lib, inPath);
-                
+
                 if (xmlText) {
 
                     fortranify(xmlText, retText, retText_len);
-                    
+
                     /*
                     length_in = strlen(xmlText);
@@ -957,5 +944,4 @@
                     */
                 }
-
             }
         }
@@ -966,11 +952,9 @@
         inPath = NULL;
     }
-
-}
-
-double rp_lib_get_double( int* handle,   /* integer handle of library */
-                            char* path,    /* null terminated path */
-                            int path_len
-                          )
+}
+
+double rp_lib_get_double(int* handle,   /* integer handle of library */
+                         char* path,    /* null terminated path */
+                         int path_len)
 {
     double retVal = 0.0;
@@ -978,5 +962,5 @@
 
     PyObject* lib = NULL;
-    
+
     char* inPath = NULL;
 
@@ -988,14 +972,13 @@
         if ((handle) && (*handle != 0)) {
             lib = getObject(*handle);
-            
+
             if (lib) {
-                // retObj is a borrowed object 
+                // retObj is a borrowed object
                 // whose contents must not be modified
                 xmlText = rpGet(lib, inPath);
-                
+
                 if (xmlText) {
                     retVal = atof(xmlText);
                 }
-
             }
         }
@@ -1011,11 +994,10 @@
 
 
-void rp_lib_put_str( int* handle, 
-                        char* path, 
-                        char* value, 
-                        int* append,
-                        int path_len,
-                        int value_len
-                      ) 
+void rp_lib_put_str(int* handle,
+                    char* path,
+                    char* value,
+                    int* append,
+                    int path_len,
+                    int value_len)
 {
     char* inPath = NULL;
@@ -1024,5 +1006,4 @@
     inPath = null_terminate(path,path_len);
     inValue = null_terminate(value,value_len);
-
 
     if (inPath) {
@@ -1054,16 +1035,15 @@
 
 
-void rp_lib_put_id_str ( int* handle, 
-                        char* path, 
-                        char* value, 
-                        char* id, 
-                        int* append,
-                        int path_len,
-                        int value_len,
-                        int id_len
-                      ) 
-{
-    PyObject* lib = NULL;
-    
+void rp_lib_put_id_str(int* handle,
+                       char* path,
+                       char* value,
+                       char* id,
+                       int* append,
+                       int path_len,
+                       int value_len,
+                       int id_len)
+{
+    PyObject* lib = NULL;
+
     char* inPath = NULL;
     char* inValue = NULL;
@@ -1077,5 +1057,5 @@
         if ((handle) && (*handle != 0)) {
             lib = getObject(*handle);
-            
+
             if (lib) {
                 rpPut(lib, inPath, inValue, inId, *append);
@@ -1098,13 +1078,11 @@
         inId = NULL;
     }
-
-}
-
-void rp_lib_put_obj( int* handle, 
-                        char* path, 
-                        int* valHandle, 
-                        int* append,
-                        int path_len
-                      ) 
+}
+
+void rp_lib_put_obj(int* handle,
+                    char* path,
+                    int* valHandle,
+                    int* append,
+                    int path_len)
 {
     char* inPath = NULL;
@@ -1125,16 +1103,15 @@
 }
 
-void rp_lib_put_id_obj ( int* handle, 
-                        char* path, 
-                        int* valHandle, 
-                        char* id, 
-                        int* append,
-                        int path_len,
-                        int id_len
-                      ) 
+void rp_lib_put_id_obj(int* handle,
+                       char* path,
+                       int* valHandle,
+                       char* id,
+                       int* append,
+                       int path_len,
+                       int id_len)
 {
     PyObject* lib = NULL;
     PyObject* value = NULL;
-    
+
     char* inPath = NULL;
     char* inId = NULL;
@@ -1147,7 +1124,7 @@
             lib = getObject(*handle);
             value = getObject(*valHandle);
-            
+
             if (lib && value) {
-                // retObj is a borrowed object 
+                // retObj is a borrowed object
                 // whose contents must not be modified
                 rpPutObj(lib, inPath, value, inId, *append);
@@ -1165,8 +1142,7 @@
         inId = NULL;
     }
-
-}
-
-int rp_lib_remove (int* handle, char* path, int path_len) 
+}
+
+int rp_lib_remove(int* handle, char* path, int path_len)
 {
     int newObjHandle = -1;
@@ -1174,5 +1150,5 @@
     PyObject* lib = NULL;
     PyObject* removedObj = NULL;
-    
+
     char* inPath = NULL;
 
@@ -1185,14 +1161,13 @@
             if (lib) {
                 removedObj = rpRemove(lib, inPath);
-                
+
                 if (removedObj) {
                     newObjHandle = storeObject(removedObj);
                     // Py_DECREF(removedObj);
                 }
-
             }
         }
     }
-    
+
     if (inPath) {
         free(inPath);
@@ -1203,5 +1178,5 @@
 }
 
-int rp_lib_xml_len (int* handle)
+int rp_lib_xml_len(int* handle)
 {
     int length = -1;
@@ -1229,5 +1204,5 @@
 }
 
-void  rp_lib_xml(int* handle, char* retText, int retText_len)
+void rp_lib_xml(int* handle, char* retText, int retText_len)
 {
     // int length_in = 0;
@@ -1237,5 +1212,5 @@
 
     PyObject* lib = NULL;
-    
+
     if (rapptureStarted) {
         if ((handle) && (*handle != 0)) {
@@ -1244,5 +1219,5 @@
             if (lib) {
                 xmlText = rpXml(lib);
-                
+
                 if (xmlText) {
 
@@ -1266,5 +1241,4 @@
                     free(xmlText);
                 }
-                
             }
         }
@@ -1321,13 +1295,13 @@
 
     RpDictEntry DICT_TEMPLATE *hPtr;
-    // RpDictIterator DICT_TEMPLATE iter((RpDict&)*this);                     
+    // RpDictIterator DICT_TEMPLATE iter((RpDict&)*this);
     RpDictIterator DICT_TEMPLATE iter(fortObjDict);
-    
-    hPtr = iter.first();                                                      
-    
+
+    hPtr = iter.first();
+
     while (hPtr) {
         Py_DECREF(*(hPtr->getValue()));
         hPtr->erase();
-        hPtr = iter.next();                                                   
+        hPtr = iter.next();
     }
 
@@ -1341,5 +1315,6 @@
 }
 
-void rp_result(int* handle) {
+void rp_result(int* handle)
+{
     PyObject* lib = NULL;
 
@@ -1353,5 +1328,5 @@
 }
 
-int objType( char* flavor) 
+int objType( char* flavor)
 {
     if (flavor == NULL) {
@@ -1359,12 +1334,11 @@
         return 0;
     }
-    else if((*flavor == 'o')&&(strncmp(flavor,"object", 6)==0)){
+    else if ((*flavor == 'o') && (strncmp(flavor,"object", 6) == 0)) {
         // return a PyObject*
         return 0;
     }
-    else if ( 
-      ((*flavor == 't')&&(strncmp(flavor,"type", 4) == 0)) 
-    ||((*flavor == 'i')&&(strncmp(flavor,"id", 2) == 0))
-    ||((*flavor == 'c')&&(strncmp(flavor,"component", 9) == 0)))
+    else if (((*flavor == 't') && (strncmp(flavor,"type", 4) == 0)) ||
+             ((*flavor == 'i') && (strncmp(flavor,"id", 2) == 0)) ||
+             ((*flavor == 'c') && (strncmp(flavor,"component", 9) == 0)))
     {
         // return a char*
@@ -1378,6 +1352,6 @@
 }
 
-int storeObject(PyObject* objectName) {
-
+int storeObject(PyObject* objectName)
+{
     int retVal = -1;
     int dictKey = fortObjDict.size();
@@ -1388,13 +1362,13 @@
         // no error checking to make sure it was successful in entering
         // the new entry.
-        fortObjDict.set(dictKey,objectName, &newEntry); 
-    }
-    
+        fortObjDict.set(dictKey,objectName, &newEntry);
+    }
+
     retVal = dictKey;
     return retVal;
 }
 
-PyObject* getObject(int objKey) {
-
+PyObject* getObject(int objKey)
+{
     PyObject* retVal = *(fortObjDict.find(objKey).getValue());
 
@@ -1404,4 +1378,3 @@
 
    return retVal;
-
-}
+}
Index: trunk/src/core/scew_extras.c
===================================================================
--- trunk/src/core/scew_extras.c	(revision 5729)
+++ trunk/src/core/scew_extras.c	(revision 5730)
@@ -119,9 +119,8 @@
 }
 
-
 XML_Char const*
-scew_element_set_contents_binary(   scew_element* element,
-                                    XML_Char const* bytes,
-                                    unsigned int* nbytes    )
+scew_element_set_contents_binary(scew_element* element,
+                                 XML_Char const* bytes,
+                                 unsigned int* nbytes)
 {
     XML_Char* out = NULL;
